From 730b73f71770af32647dd4f43f567b8e754da42b Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Cyril=20Math=C3=A9?= <cmathe@actech-innovation.com>
Date: Mon, 29 Jun 2009 13:30:20 +0200
Subject: [PATCH] Mozilla & ActiveX: Update test.html

---
 projects/activex/test.html |   57 +++++++++++++++++++++++++++++++++++++++----
 projects/mozilla/test.html |   55 ++++++++++++++++++++++++++++++++++++++----
 2 files changed, 101 insertions(+), 11 deletions(-)

diff --git a/projects/activex/test.html b/projects/activex/test.html
index 56ee029..83377a0 100644
--- a/projects/activex/test.html
+++ b/projects/activex/test.html
@@ -210,6 +210,24 @@ Insert Slider widget
 </TD>
 </TR>
 <TR>
+<TD>Marquee:
+    <INPUT type=button value="Enable" onClick='getVLC("vlc").video.marquee.enable();'>
+    <INPUT type=button value="Disable" onClick='getVLC("vlc").video.marquee.disable();'>
+    <INPUT size=4 value="" id="marqueeIntValue">
+    <SELECT readonly onClick="doMarqueeOption(this.value,document.getElementById('marqueeIntValue').value);">
+        <OPTION value=1>Color</OPTION>
+        <OPTION value=2>Opacity</OPTION>
+        <OPTION value=3>Position</OPTION>
+        <OPTION value=4>Refresh</OPTION>
+        <OPTION value=5>Size</OPTION>
+        <OPTION value=6>Text</OPTION>
+        <OPTION value=7>Timeout</OPTION>
+        <OPTION value=8>X</OPTION>
+        <OPTION value=9>Y</OPTION>
+    </SELECT>
+</TD>
+</TR>
+<TR>
 <TD>
     <INPUT type=button id="telx" value="Teletext off" onClick='doToggleTeletext();'>
     Teletext page:
@@ -504,9 +522,9 @@ function doGo(targetURL)
             // clear() may return before the playlist has actually been cleared
             // just wait for it to finish its job
         }
-        var options = [":rtsp-tcp"];
+        var options = [":rtsp-tcp"];
         var itemId = vlc.playlist.add(targetURL,"",options);
-        options = [];
+        options = [];
         if( itemId != -1 )
         {
             // play MRL
@@ -527,11 +545,11 @@ function doGo(targetURL)
 function doAdd(targetURL)
 {
     var vlc = getVLC("vlc");
-    var options = [":vout-filter=deinterlace", ":deinterlace-mode=linear"];
+    var options = [":vout-filter=deinterlace", ":deinterlace-mode=linear"];
     if( vlc )
     {
         vlc.playlist.add(targetURL, "", options);
-        options = [];
+        options = [];
         doItemCount();
     }
 }
@@ -611,10 +629,10 @@ function onPlay()
 function onEnd()
 {
     document.getElementById("state").innerHTML = "End...";
-    doStop();
+    doStop();
 }
 
-var liveFeedText = ["Live", "((Live))", "(( Live ))", "((  Live  ))"];
+var liveFeedText = ["Live", "((Live))", "(( Live ))", "((  Live  ))"];
 var liveFeedRoll = 0;
 
 function onPlaying()
@@ -719,6 +737,33 @@ function onInputTrackerChange(inputTracker, value, pos)
     }
 }
 
+function doMarqueeOption(option, value)
+{
+    var vlc = getVLC("vlc");
+    val = parseInt(value);
+    if( vlc )
+    {
+        if (option == 1)
+            vlc.video.marquee.color(val);
+        if (option == 2)
+            vlc.video.marquee.opacity(val);
+        if (option == 3)
+            vlc.video.marquee.position(val);
+        if (option == 4)
+            vlc.video.marquee.refresh(val);
+        if (option == 5)
+            vlc.video.marquee.size(val);
+        if (option == 6)
+            vlc.video.marquee.text(value);
+        if (option == 7)
+            vlc.video.marquee.timeout(val);
+        if (option == 8)
+            vlc.video.marquee.x(val);
+        if (option == 9)
+            vlc.video.marquee.y(val);
+    }
+}
+
 //-->
 </SCRIPT>
 </BODY>
diff --git a/projects/mozilla/test.html b/projects/mozilla/test.html
index 919509d..83377a0 100644
--- a/projects/mozilla/test.html
+++ b/projects/mozilla/test.html
@@ -210,6 +210,24 @@ Insert Slider widget
 </TD>
 </TR>
 <TR>
+<TD>Marquee:
+    <INPUT type=button value="Enable" onClick='getVLC("vlc").video.marquee.enable();'>
+    <INPUT type=button value="Disable" onClick='getVLC("vlc").video.marquee.disable();'>
+    <INPUT size=4 value="" id="marqueeIntValue">
+    <SELECT readonly onClick="doMarqueeOption(this.value,document.getElementById('marqueeIntValue').value);">
+        <OPTION value=1>Color</OPTION>
+        <OPTION value=2>Opacity</OPTION>
+        <OPTION value=3>Position</OPTION>
+        <OPTION value=4>Refresh</OPTION>
+        <OPTION value=5>Size</OPTION>
+        <OPTION value=6>Text</OPTION>
+        <OPTION value=7>Timeout</OPTION>
+        <OPTION value=8>X</OPTION>
+        <OPTION value=9>Y</OPTION>
+    </SELECT>
+</TD>
+</TR>
+<TR>
 <TD>
     <INPUT type=button id="telx" value="Teletext off" onClick='doToggleTeletext();'>
     Teletext page:
@@ -504,9 +522,9 @@ function doGo(targetURL)
             // clear() may return before the playlist has actually been cleared
             // just wait for it to finish its job
         }
-        var options = [":rtsp-tcp"];
+        var options = [":rtsp-tcp"];
         var itemId = vlc.playlist.add(targetURL,"",options);
-        options = [];
+        options = [];
         if( itemId != -1 )
         {
             // play MRL
@@ -527,11 +545,11 @@ function doGo(targetURL)
 function doAdd(targetURL)
 {
     var vlc = getVLC("vlc");
-    var options = [":vout-filter=deinterlace", ":deinterlace-mode=linear"];
+    var options = [":vout-filter=deinterlace", ":deinterlace-mode=linear"];
     if( vlc )
     {
         vlc.playlist.add(targetURL, "", options);
-        options = [];
+        options = [];
         doItemCount();
     }
 }
@@ -614,7 +632,7 @@ function onEnd()
     doStop();
 }
 
-var liveFeedText = ["Live", "((Live))", "(( Live ))", "((  Live  ))"];
+var liveFeedText = ["Live", "((Live))", "(( Live ))", "((  Live  ))"];
 var liveFeedRoll = 0;
 
 function onPlaying()
@@ -719,6 +737,33 @@ function onInputTrackerChange(inputTracker, value, pos)
     }
 }
 
+function doMarqueeOption(option, value)
+{
+    var vlc = getVLC("vlc");
+    val = parseInt(value);
+    if( vlc )
+    {
+        if (option == 1)
+            vlc.video.marquee.color(val);
+        if (option == 2)
+            vlc.video.marquee.opacity(val);
+        if (option == 3)
+            vlc.video.marquee.position(val);
+        if (option == 4)
+            vlc.video.marquee.refresh(val);
+        if (option == 5)
+            vlc.video.marquee.size(val);
+        if (option == 6)
+            vlc.video.marquee.text(value);
+        if (option == 7)
+            vlc.video.marquee.timeout(val);
+        if (option == 8)
+            vlc.video.marquee.x(val);
+        if (option == 9)
+            vlc.video.marquee.y(val);
+    }
+}
+
 //-->
 </SCRIPT>
 </BODY>
-- 
1.5.4.3

